Skip to main content
POST
/
v2
/
evaluators
/
topic-adherence
/
execute
Execute topic-adherence evaluator
curl --request POST \
  --url https://api.traceloop.com/v2/evaluators/topic-adherence/execute \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "completion": "Machine learning is a subset of AI that enables systems to learn from data.",
    "question": "Tell me about machine learning",
    "reference_topics": "artificial intelligence, data science, algorithms"
  }
}
'
import requests

url = "https://api.traceloop.com/v2/evaluators/topic-adherence/execute"

payload = { "input": {
"completion": "Machine learning is a subset of AI that enables systems to learn from data.",
"question": "Tell me about machine learning",
"reference_topics": "artificial intelligence, data science, algorithms"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
completion: 'Machine learning is a subset of AI that enables systems to learn from data.',
question: 'Tell me about machine learning',
reference_topics: 'artificial intelligence, data science, algorithms'
}
})
};

fetch('https://api.traceloop.com/v2/evaluators/topic-adherence/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "adherence_score": 0.95
}
{
"error": "error message"
}
{
"error": "error message"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Body

application/json

Request body

input
object
required

Response

OK

adherence_score
number
Example:

0.95